Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.dialogs
Class DefaultModalDialogFactory

    java.lang.Object
      edu.stanford.smi.protegex.owl.ui.dialogs.AbstractModalDialogFactory
          edu.stanford.smi.protegex.owl.ui.dialogs.DefaultModalDialogFactory

All Implemented Interfaces:
  ModalDialogFactory

    public class DefaultModalDialogFactory

extends AbstractModalDialogFactory

Author:
  Holger Knublauch

Nested Class Summary

Nested classes/interfaces inherited from interface edu.stanford.smi.protegex.owl.ui.dialogs.ModalDialogFactory
`ModalDialogFactory.CloseCallback`

Field Summary

Fields inherited from interface edu.stanford.smi.protegex.owl.ui.dialogs.ModalDialogFactory
`MODE_CLOSE, MODE_OK_CANCEL, MODE_YES_NO, MODE_YES_NO_CANCEL, OPTION_CANCEL, OPTION_CLOSE, OPTION_NO, OPTION_OK, OPTION_YES, RESULT_ERROR`

Constructor Summary
`DefaultModalDialogFactory()`

Method Summary
`void` | `attemptDialogClose(int result)`
`int` | `showConfirmCancelDialog(Component parent, String message, String title)` Shows a dialog with Yes, No, and Cancel options.
`int` | `showConfirmCancelDialog(OWLModel owlModel, String message, String title)`
`boolean` | `showConfirmDialog(Component parent, String message, String title)`
`boolean` | `showConfirmDialog(OWLModel owlModel, String message, String title)`
`int` | `showDialog(Component parent, Component panel, String title, int mode, ModalDialogFactory.CloseCallback callback, boolean enableCloseButton, Component componentToFocus)`
`void` | `showErrorMessageDialog(Component parent, String message, String title)`
`void` | `showErrorMessageDialog(OWLModel owlModel, String message, String title)`
`String` | `showInputDialog(Component parent, String message, String initialValue)`
`String` | `showInputDialog(OWLModel owlModel, String message, String initialValue)`
`void` | `showMessageDialog(Component parent, String message, String title)`
`void` | `showMessageDialog(OWLModel owlModel, String message, String title)`

Methods inherited from class edu.stanford.smi.protegex.owl.ui.dialogs.AbstractModalDialogFactory
`showDialog, showDialog, showDialog, showDialog, showErrorMessageDialog, showErrorMessageDialog, showMessageDialog, showMessageDialog, showThrowable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultModalDialogFactory

    public DefaultModalDialogFactory()

Method Detail

### attemptDialogClose

    public void attemptDialogClose(int result)

### showConfirmCancelDialog

    public int showConfirmCancelDialog(OWLModel owlModel,
                                       String message,
                                       String title)

### showConfirmCancelDialog

    public int showConfirmCancelDialog(Component parent,
                                       String message,
                                       String title)

  Description copied from interface: `ModalDialogFactory`
  Shows a dialog with Yes, No, and Cancel options.

  Returns:
    OPTION_YES, OPTION_NO or OPTION_CANCEL

### showConfirmDialog

    public boolean showConfirmDialog(OWLModel owlModel,
                                     String message,
                                     String title)

### showConfirmDialog

    public boolean showConfirmDialog(Component parent,
                                     String message,
                                     String title)

### showDialog

    public int showDialog(Component parent,
                          Component panel,
                          String title,
                          int mode,
                          ModalDialogFactory.CloseCallback callback,
                          boolean enableCloseButton,
                          Component componentToFocus)

### showErrorMessageDialog

    public void showErrorMessageDialog(OWLModel owlModel,
                                       String message,
                                       String title)

### showErrorMessageDialog

    public void showErrorMessageDialog(Component parent,
                                       String message,
                                       String title)

### showInputDialog

    public String showInputDialog(OWLModel owlModel,
                                  String message,
                                  String initialValue)

### showInputDialog

    public String showInputDialog(Component parent,
                                  String message,
                                  String initialValue)

### showMessageDialog

    public void showMessageDialog(OWLModel owlModel,
                                  String message,
                                  String title)

### showMessageDialog

    public void showMessageDialog(Component parent,
                                  String message,
                                  String title)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2012 Stanford University.